Bug 1913332 - Pipeline visualization breaks the UI when multiple taskspecs are used
Summary: Pipeline visualization breaks the UI when multiple taskspecs are used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Vikram Raj
QA Contact: Karthik Jeeyar
URL:
Whiteboard:
Depends On:
Blocks: 1915013
TreeView+ depends on / blocked
 
Reported: 2021-01-06 14:29 UTC by Vikram Raj
Modified: 2021-02-24 15:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:50:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:51:08 UTC

Description Vikram Raj 2021-01-06 14:29:41 UTC
Description of problem:  
Pipeline details page is broken if the newly created pipeline contains multiple taskSpecs in the yaml.

Prerequisites (if any, like setup, operators/versions): 
openshift pipelines operator

Steps to Reproduce
1. Create a pipeline with multiple taskspecs in it. 
https://github.com/karthikjeeyar/pipelines/blob/main/taskspec.yaml

Actual results: 
Breaks the UI with error message

Expected results: 
Should not break the UI 

Reproducibility (Always/Intermittent/Only Once): 
Always

Build Details: 
4.6

Comment 2 Karthik Jeeyar 2021-01-13 05:52:27 UTC
Verified on 
build: 4.7.0-0.nightly-2021-01-13-005809
url: https://console-openshift-console.apps.ci-ln-0xxmvm2-f76d1.origin-ci-int-gce.dev.openshift.com/k8s/ns/karthik/import
user: kubeadmin

Comment 5 errata-xmlrpc 2021-02-24 15:50:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.